Bug 38390 - button to release scrollbar missing
Summary: button to release scrollbar missing
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: VLO wishlist (vote)
Target Milestone: ---
Assignee: Robert Knight
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-02-19 15:33 UTC by Ferdinand Gassauer
Modified: 2011-08-02 03:29 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ferdinand Gassauer 2002-02-19 15:18:36 UTC
(*** This bug was imported into bugs.kde.org ***)

Package:           konsole
Version:           1.1 Beta2 (using KDE 2.9.0 3 (CVS >= 20020213))
Severity:          wishlist
Installed from:    compiled sources
Compiler:          gcc version 2.95.3 20010315 (SuSE)
OS:                Linux (i686) release 2.4.10-4GB
OS/Compiler notes: 

Hi!
if the underlying app is producing output (like make) it is possible to stop the output with the vertical scrollbar.

resuming is less intuitive
- move down the slider wich migth get cumbersom if the output is very fast becaus you never reach teh end.
- hit the MMB - not documented feature ??
- Create a button "Resume" like I have seen it in Reflection (deactivate "Hold-Button")

cu
ferdinand

(Submitted via bugs.kde.org)
(Called from KBugReport dialog)
Comment 1 Michael Jahn 2004-07-24 12:00:48 UTC
Just press enter.
Comment 2 Ferdinand Gassauer 2004-07-24 12:29:15 UTC
not possible with the mouse
Comment 3 Kurt Hindenburg 2004-12-28 04:07:41 UTC
Comment #1 is correct.  If you want to use the mouse, move the scrollbar to the end.  
If you want a button, where would you put it?  Konsole doesn't have a toolbar; perhaps if it did...
Comment 4 Ferdinand Gassauer 2004-12-28 15:41:28 UTC
the windows Reflection ha a button at the end of the scroll bar
Comment 5 Robert Knight 2007-06-02 16:41:06 UTC
Unless there is something obvious I am missing, pressing Enter to get to the end of the output is easy.  Clicking a small button on the scrollbar seems more difficult to me since the target area which has to be clicked would be very small.  Pressing Enter only requires that the terminal display has the focus, which can be done by clicking anywhere in the display area.
Comment 6 Ferdinand Gassauer 2007-06-02 18:14:59 UTC
I never would consider to press enter as a solution if I have stopped the scrolling.
what about if the last - not visible - line is something like
"press enter to remove all your data"?

must not be that bad, but it could be just a "read x" in a bash to ask you what should be done next.
Comment 7 Bram Schoenmakers 2007-06-02 19:55:21 UTC
Then hit space or an arrow key or whatever.
Comment 8 Robert Knight 2007-06-03 02:02:09 UTC
> I never would consider to press enter as a solution 
> if I have stopped the scrolling. 

I cannot think of a real scenario where a program producing huge volumes of output would then echo a prompt such that pressing enter or space would do something dangerous.

The other thing you said is that hitting a key to scroll to the end of the output is not intuitive for you.  If that is the case I can think of some alternative solutions, such as displaying a little label in the corner of the display when the scrollbar is not at the bottom of the display indicating that pressing any key or clicking with the middle mouse button will scroll.

Comment 9 Ferdinand Gassauer 2007-06-03 07:26:50 UTC
we have some long running programs which produce considerable (log) output and then ask the user to check if everything is OK.
bash:

at the end:
echo "is all ok"
read x

I am sure there are other solutions for this.
Comment 10 Ferdinand Gassauer 2007-06-03 07:49:41 UTC
BTW it would be a general soultion for all scrollbars
- got to top/end
Comment 11 Bram Schoenmakers 2007-06-03 11:12:23 UTC
Or, press Control and click at the bottom of the scrollbar to move there immediately.
Comment 12 Bram Schoenmakers 2007-06-03 11:13:28 UTC
And clicking with the middle mouse button has the same effect as pressing control while left clicking.
Comment 13 Ferdinand Gassauer 2007-06-03 16:49:51 UTC
that's a good one
http://bugs.kde.org/show_bug.cgi?id=38390#c12

just who knows this?
Comment 14 Robert Knight 2007-06-03 20:33:49 UTC
Okay, I have been persuaded that closing this was premature.  As I said before, I don't think adding a button to the scroll bar is the best solution because it couldn't be very large - adding some sort of hint to the user interface is doable.  Or at least, I can try it and see how well it works before deciding whether to include it or not.
Comment 15 Kurt Hindenburg 2011-08-02 03:29:27 UTC
Git commit 9cf9557c8f300a00cb89a3b507f1edc98d3bf9d9 by Kurt Hindenburg.
Committed on 02/08/2011 at 05:19.
Pushed by hindenburg into branch 'master'.

Add shortcuts to jump to top & bottom of history.

The shortcut of jumping to top of history is for the request of #45950

The shortcut of jumping to bottom of history is added not only for
consistency, but also to be used for #38390, especially its comment #9
 and #10.

Patch by Jekyll Wu <adaptee@gmail.com>

FEATURE: 38390
FEATURE: 45950
FIXED-IN: 4.8
REVIEW: 102124

M  +2    -0    data/keyboard-layouts/default.keytab
M  +11   -4    src/Vt102Emulation.cpp
M  +6    -2    src/KeyboardTranslator.h
M  +8    -0    src/KeyboardTranslator.cpp

http://commits.kde.org/konsole/9cf9557c8f300a00cb89a3b507f1edc98d3bf9d9